import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.ArrayList;

public class Server implements Runnable {

    private static final int PORT = 4321;
    private ServerSocket serverSocket;
    private ArrayList<ClientHandler> clientHandlers;
    private ArrayList<Socket> sockets;
    boolean isRun = true;


    public Server() throws IOException {
        serverSocket = new ServerSocket(PORT, 2);
    }

    public void stop() throws IOException {
        this.serverSocket.close();
        isRun = false;
    }

    @Override
    public void run() {

        while (isRun) {
            Socket client = null;
            try {

               // System.out.println("Waiting for Clients...");
                client = this.serverSocket.accept();
                System.out.println("CLIENT: " + client.getRemoteSocketAddress() + " CONNECTED");

            } catch (IOException e) {
                e.printStackTrace();
            }
//            this.sockets.add(client);
            try {

                ClientHandler clientHandler = new ClientHandler(client);
//                this.clientHandlers.add(clientHandler);
                Thread td = new Thread(clientHandler);
                td.start();

            } catch (Exception e) {
                e.printStackTrace();
            }
        }

    }
}
